## tar 1.34+dfsg

=== doc/Makefile ===
all:

install:

check:

distclean:
	rm -f Makefile

=== debian/changelog ===
tar (1.34+dfsg-1+deb11u1) bullseye; urgency=medium

  * Non-maintainer upload.
  * Fix boundary checking in base-256 decoder (CVE-2022-48303)
  * Fix handling of extended header prefixes (CVE-2023-39804)
    (Closes: #1058079)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 20 Jan 2024 10:59:10 +0100

tar (1.34+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Janos Lenart <ocsi@debian.org>  Wed, 17 Feb 2021 09:55:26 +0000

tar (1.33+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Removed unsafe escaping from mailcap-entry; closes: #982614
  * Fixed trailing whitespaces in debian/{changelog,control,rules}

 -- Janos Lenart <ocsi@debian.org>  Fri, 12 Feb 2021 15:15:21 +0000

=== debian/control ===
Source: tar
Section: utils
Priority: required
Maintainer: Janos Lenart <ocsi@debian.org>
Uploaders: Carl Worth <cworth@cworth.org>
Build-Depends: debhelper (>> 10), gettext, autoconf, automake, autopoint, bison, libacl1-dev, libselinux1-dev [linux-any]
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/debian/tar.git
Vcs-Browser: https://salsa.debian.org/debian/tar
Homepage: https://www.gnu.org/software/tar/

Package: tar
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${shlibs:Depends}, ${misc:Depends}
Essential: yes
Conflicts: cpio (<= 2.4.2-38)
Replaces: cpio (<< 2.4.2-39)
Breaks: dpkg-dev (<< 1.14.26)
Suggests: bzip2, ncompress, xz-utils, tar-scripts, tar-doc
Description: GNU version of the tar archiving utility
 Tar is a program for packaging a set of files as a single archive in tar
 format.  The function it performs is conceptually similar to cpio, and to
 things like PKZIP in the DOS world.  It is heavily used by the Debian package
 management system, and is useful for performing system backups and exchanging
 sets of files with others.

Package: tar-scripts
Architecture: any
Priority: optional
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, tar (>= 1.26+dfsg-9)
Conflicts: dump, openafs-client, tar (<< 1.26+dfsg-9)
Description: optional scripts for GNU version of the tar archiving utility
 This package provides the backup, restore, backup.sh, and dump-remind
 scripts that are mentioned in the tar documentation.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CONFARGS = --host=$(DEB_HOST_GNU_TYPE)
endif

CFLAGS = `dpkg-buildflags --get CFLAGS`
CFLAGS += -Wall -Wno-analyzer-null-argument
LDFLAGS += `dpkg-buildflags --get LDFLAGS`
CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`

export BUILD_DATE = $(shell dpkg-parsechangelog | sed -n -e 's/^Date: //p')

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	cp -f /usr/share/misc/config.sub build-aux/config.sub
	cp -f /usr/share/misc/config.guess build-aux/config.guess
	autoreconf --force -v --install
	RSH="/usr/bin/rsh" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure \
		--prefix=/usr \
		--libexecdir=/usr/sbin \
		--enable-backup-scripts \
		--with-lzma=xz \
		--disable-silent-rules \
		$(CONFARGS)
	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	RSH="/usr/bin/rsh" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" $(MAKE) $(MAKEFLAGS)

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	@runas=`whoami` ; \
	if test $$runas = "root" ; \
	then \
	  echo "Sorry, but the test suite is not designed to be run as root."; \
	  exit 1 ;\
	fi
	$(MAKE) check TESTSUITEFLAGS=-v || { cat tests/testsuite.log; false; }
endif
endif

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	make install bindir=`pwd`/debian/tar/bin prefix=`pwd`/debian/tar/usr \
		libexecdir=`pwd`/debian/tar/usr/sbin
	mv debian/tar/usr/sbin/rmt debian/tar/usr/sbin/rmt-tar
	ln -s /usr/sbin/rmt debian/tar/etc/rmt
	install -m 755 debian/tarcat debian/tar/usr/sbin/tarcat

	mv debian/tar/usr/sbin/backup debian/tar-scripts/usr/sbin/tar-backup
	mv debian/tar/usr/sbin/restore debian/tar-scripts/usr/sbin/tar-restore
	mv debian/tar/usr/sbin/backup.sh debian/tar-scripts/usr/sbin/
	mv debian/tar/usr/sbin/dump-remind debian/tar-scripts/usr/sbin/

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	mv -f debian/tar/usr/share/doc/tar/ChangeLog \
		debian/tar/usr/share/doc/tar/changelog
	mv -f debian/tar/usr/share/doc/tar/ChangeLog.1 \
		debian/tar/usr/share/doc/tar/changelog.1
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman doc/tar.1 doc/rmt.8 debian/tarcat.1
	mv debian/tar/usr/share/man/man8/rmt.8 \
	   debian/tar/usr/share/man/man8/rmt-tar.8
	dh_installinfo
	rm -f debian/tar/usr/share/info/dir*
	dh_installmime
	dh_installchangelogs #CHANGELOGS#
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg// \
http://ftp.gnu.org/gnu/tar/tar-([\d\.]*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## tar 1.35+dfsg

=== debian/changelog ===
tar (1.35+dfsg-3.1build1) questing; urgency=medium

  * No-change rebuild for IEEE long double on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 22 Sep 2025 11:25:16 +0000

tar (1.35+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix deletion from archives, Closes: #748244

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 18 Dec 2024 09:37:14 -0500

tar (1.35+dfsg-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload (salsa.debian.org/debian namespace)

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Move tar to /usr for DEP17. (Closes: #1059818)

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 01 Jan 2024 22:15:10 +0100

tar (1.35+dfsg-2) unstable; urgency=medium

  * Team upload (salsa.debian.org/debian namespace)
  * Add missing changelog entries from previous upload
  * Drop workaround for tar < 1.35
  * Add files to not-installed to fix FTBFS on arch:all
    and arch:any when they are not built together

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 Dec 2023 14:15:35 +0100

tar (1.35+dfsg-1) unstable; urgency=medium

  * Team upload (salsa.debian.org/debian namespace)
  * New upstream version
  * Drop patches now part of upstream codebase:
    - CVE-2022-48303.patch
    - Fix-handling-of-extended-header-prefixes.patch CVE-2023-39804
    - gcc-10-warnings.diff
  * Refresh patches:
    - oldgnu-unknown-mode-bits.patch
    - pristine-tar.diff
    - proper_it_translation.patch
  * Add myself to copyright file to please lintian
  * Update copyright file
  * Add new LGPL-2.1+ files to copyright
  * Bump compat level to 13
  * Add R^3: no
  * Bump std-version to 4.6.2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Dec 2023 09:23:02 +0100

tar (1.34+dfsg-1.4) unstable; urgency=medium

  [ Chirayu Desai ]
  * Import upstream patch to fix '--delete' (Closes: #944118)
    (Already fixed in 1.34)

  [ Gioele Barabucci ]
  * d/control: Build tar-scripts as Architecture: all (Closes: #1050568)
  * d/tar-scripts.lintian-overrides: Update to new syntax
  * d/tar-scripts.lintian-overrides: Ignore no-manual-page warnings
  * d/rules: Use standard dh sequence (Closes: #1048718, #1050565, #1050566)

  [ Gianfranco Costamagna ]
  * Non-maintainer upload.
  * Add fix from Ubuntu for CVE-2022-48303

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Dec 2023 08:03:20 +0100

tar (1.34+dfsg-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix handling of extended header prefixes (CVE-2023-39804)
    (Closes: #1058079)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 13 Dec 2023 16:22:08 +0100

tar (1.34+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with lfs and -D_TIME_BITS=64 on 32 bits archs (Closes: #1026204)
    Thanks to Andreas Henriksson and Helge Deller

 -- Paul Gevers <elbrus@debian.org>  Thu, 06 Apr 2023 16:25:47 +0200

tar (1.34+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Mechtilde ]
  * [730f266] Improved d/copyright with patch
    from Bastian Germann <bage@debian.org> (Closes:  #1024084)

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 20 Nov 2022 15:52:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: required
 Maintainer: Janos Lenart <ocsi@debian.org>
 Uploaders: Carl Worth <cworth@cworth.org>
-Build-Depends: debhelper (>> 10), gettext, autoconf, automake, autopoint, bison, libacl1-dev, libselinux1-dev [linux-any]
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13), dh-exec, gettext, autoconf, automake, autopoint, bison, libacl1-dev, libselinux1-dev [linux-any]
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/tar.git
 Vcs-Browser: https://salsa.debian.org/debian/tar
 Homepage: https://www.gnu.org/software/tar/
@@ -26,10 +27,10 @@
  sets of files with others.
 
 Package: tar-scripts
-Architecture: any
+Architecture: all
 Priority: optional
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, tar (>= 1.26+dfsg-9)
+Depends: ${misc:Depends}, tar (>= 1.26+dfsg-9)
 Conflicts: dump, openafs-client, tar (<< 1.26+dfsg-9)
 Description: optional scripts for GNU version of the tar archiving utility
  This package provides the backup, restore, backup.sh, and dump-remind

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = future=+lfs
export DEB_CFLAGS_MAINT_APPEND = -Wall -Wno-analyzer-null-argument

%:
	dh $@

override_dh_clean:
	-mv debian/testsuite.orig tests/testsuite
	dh_clean

override_dh_auto_configure:
	dh_auto_configure -- \
		RSH="/usr/bin/rsh" \
		--libexecdir=/usr/sbin \
		--enable-backup-scripts \
		--with-lzma=xz \
		--disable-silent-rules

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	@runas=`whoami` ; \
	if test $$runas = "root" ; \
	then \
	  echo "Sorry, but the test suite is not designed to be run as root."; \
	  exit 1 ;\
	fi
	cp tests/testsuite debian/testsuite.orig
	dh_auto_test
endif
endif

override_dh_install:
	dh_install
	cp doc/rmt.8 debian/rmt-tar.8

override_dh_installdocs:
	cp -a ChangeLog.1 debian/changelog.1
	dh_installdocs

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg// \
https://ftp.gnu.org/gnu/tar/tar-([\d\.]*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
